Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.cib
Class CIBMonitoredObject

    java.lang.Object
      com.sun.mfwk.cib.CIBObject
          com.sun.mfwk.cib.CIBManagedObject
              com.sun.mfwk.cib.CIBMonitoredObject

All Implemented Interfaces:
  CIBManagedObjectIf, CIBManagedObjectMBean, CIBMonitoredObjectIf, CIBMonitoredObjectMBean, CIBObjectMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter

Direct Known Subclasses:
  CIBApplication, CIBExternalResource, CIBResource, CIBService

public abstract class CIBMonitoredObject
extends CIBManagedObject
implements CIBMonitoredObjectMBean, CIBMonitoredObjectIf

Default implementation of a CIB Monitored Object MBean.

Field Summary

Fields inherited from interface com.sun.mfwk.cib.CIBObjectMBean
`ModelVersion`

Constructor Summary
`CIBMonitoredObject()`

Method Summary
`CIBProviderHandler` | `getCIBProviderHandler()` Returns the CIBProviderHandler
`abstract javax.management.openmbean.CompositeData` | `getOpenStatistic(java.lang.String name)` Gets a CIB Statistic as a standard serializable JMX Open Type
`abstract javax.management.openmbean.CompositeData[]` | `getOpenStatistics(java.lang.String[] names)` Gets all CIBStatistics encoded as serializable JMX Open Types.
`abstract javax.management.openmbean.CompositeData` | `getOpenStats()` Gets a CIBStats object encoded as a standard serializable JMX Open Type
`abstract java.lang.String[]` | `getStatisticNames()` Gets all available statistic names
`abstract javax.management.j2ee.statistics.Stats` | `getStats()` Gets a CIBStats object for all available statistics.
`boolean` | `isStateProvider()` Returns true, indicates that this managed object implements the State model and is state manageable as described in "StateManagement" chapter of this specification.
`boolean` | `isStatisticProvider()` Returns true, indicates that the managed object supports the generation of performance statistics and implements the StatisticsProvider model as described in the "StatisticsProvider" chapter of this specification.
`void` | `setCIBProviderHandler(CIBProviderHandler providerHandler)` Set the Provider handler for the CIB Object
`void` | `setStateProvider(boolean val)` enables/disables the generation of performance statistics data in the supplier application.
`void` | `setStatisticProvider(boolean val)` enables/disables the generation of performance statistics data in the supplier application.

Methods inherited from class com.sun.mfwk.cib.CIBManagedObject
`addNotificationListener, getDescription, getJ2eeSibling, getNotificationInfo, isEventProvider, removeNotificationListener, removeNotificationListener, setDescription, setEventProvider, setJ2eeSibling`

Methods inherited from class com.sun.mfwk.cib.CIBObject
`getModelVersion, getName, getType, postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.sun.mfwk.cib.CIBMonitoredObjectMBean
`getAvailabilityStatusDegradedTime, getAvailabilityStatusLastChange, getAvailabilityStatusState, getOperationalStatusLastChange, getOperationalStatusStartTime, getOperationalStatusState`

Methods inherited from interface com.sun.mfwk.cib.CIBManagedObjectMBean
`getDescription, isEventProvider, setEventProvider`

Methods inherited from interface com.sun.mfwk.cib.CIBObjectMBean
`getModelVersion, getName, getType`

Methods inherited from interface com.sun.mfwk.cib.CIBManagedObjectIf
`setDescription`

Constructor Detail

### CIBMonitoredObject

    public CIBMonitoredObject()

Method Detail

### isStateProvider

    public boolean isStateProvider()

  Returns true, indicates that this managed object implements the State model and is state manageable as described in "StateManagement" chapter of this specification. Returns false, the managed object does not support state model.

  Specified by:
    `isStateProvider` in interface `CIBMonitoredObjectMBean`
  Returns:
    boolean

### isStatisticProvider

    public boolean isStatisticProvider()

  Returns true, indicates that the managed object supports the generation of performance statistics and implements the StatisticsProvider model as described in the "StatisticsProvider" chapter of this specification. Returns false, the managed object does not support performance statistics.

  Specified by:
    `isStatisticProvider` in interface `CIBMonitoredObjectMBean`
  Returns:
    boolean

### setStateProvider

    public void setStateProvider(boolean val)
                          throws CIBException

  enables/disables the generation of performance statistics data in the supplier application. This operation has no effect if the statisticsProvider attribute is false.

  Specified by:
    `setStateProvider` in interface `CIBMonitoredObjectMBean`
  Parameters:
    `val` - boolean
  Throws:
    `CIBException`

### setStatisticProvider

    public void setStatisticProvider(boolean val)
                              throws CIBException

  enables/disables the generation of performance statistics data in the supplier application. The effect of invoking that operation should be a near zero data generation overhead in the supplier application. This operation has no effect if the statisticsProvider attribute is false.

  Specified by:
    `setStatisticProvider` in interface `CIBMonitoredObjectMBean`
  Parameters:
    `val` - boolean
  Throws:
    `CIBException`

### getCIBProviderHandler

    public CIBProviderHandler getCIBProviderHandler()
                                             throws CIBProviderHandlerNotFoundException

  Returns the CIBProviderHandler

  Specified by:
    `getCIBProviderHandler` in interface `CIBMonitoredObjectIf`
  Returns:
    CIBProviderHandler
  Throws:
    `CIBProviderHandlerNotFoundException`

### setCIBProviderHandler

    public void setCIBProviderHandler(CIBProviderHandler providerHandler)

  Set the Provider handler for the CIB Object

  Specified by:
    `setCIBProviderHandler` in interface `CIBMonitoredObjectIf`
  Parameters:
    `providerHandler` - CIBProviderHanlder

### getOpenStatistic

    public abstract javax.management.openmbean.CompositeData getOpenStatistic(java.lang.String name)
                                                                       throws CIBAttributeNotFoundException,
                                                                              CIBException

  Gets a CIB Statistic as a standard serializable JMX Open Type

  Specified by:
    `getOpenStatistic` in interface `CIBMonitoredObjectMBean`
  Parameters:
    `name` - String
  Returns:
    CompositeData[]
  Throws:
    `CIBException`
    `CIBAttributeNotFoundException`

### getOpenStatistics

    public abstract javax.management.openmbean.CompositeData[] getOpenStatistics(java.lang.String[] names)
                                                                          throws CIBException

  Gets all CIBStatistics encoded as serializable JMX Open Types. If no statistics is found null is returned.

  Specified by:
    `getOpenStatistics` in interface `CIBMonitoredObjectMBean`
  Parameters:
    `names` - String[]
  Returns:
    CompositeData[]
  Throws:
    `CIBException`

### getOpenStats

    public abstract javax.management.openmbean.CompositeData getOpenStats()
                                                                   throws CIBException

  Gets a CIBStats object encoded as a standard serializable JMX Open Type

  Specified by:
    `getOpenStats` in interface `CIBMonitoredObjectMBean`
  Returns:
    javax.management.openmbean.CompositeData
  Throws:
    `CIBException`

### getStatisticNames

    public abstract java.lang.String[] getStatisticNames()
                                                  throws CIBException

  Gets all available statistic names

  Specified by:
    `getStatisticNames` in interface `CIBMonitoredObjectMBean`
  Returns:
    String[]
  Throws:
    `CIBException`

### getStats

    public abstract javax.management.j2ee.statistics.Stats getStats()
                                                             throws CIBException

  Gets a CIBStats object for all available statistics.

  Specified by:
    `getStats` in interface `CIBMonitoredObjectMBean`
  Returns:
    javax.management.j2ee.statistics.Stats
  Throws:
    `CIBException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD